<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
	<xsl:output method="xml" />
	<xsl:param name="test" />

	<xsl:template match="/testResults">
		<div>
			<xsl:apply-templates select="totalResults" />
			<hr/>
				<table>

					<tr class="vis-title">
						<td>Test</td>
						<td>Total</td>
						<td>Run</td>
						<td>Success</td>
						<td>Exceptions</td>
						<td>Assert</td>
						<td>Exec Time</td>
						<td>Total Time</td>
						<td colspan="2" />
					</tr>
					<xsl:apply-templates select="//test" />
				</table>
		</div>
	</xsl:template>

	<xsl:template match="totalResults">
		<div>
			<table>
			<tr>
			<td>
			<div>
				<input type="button" value="exec all" onclick="parent.location='/test/exec/html/all'" class="btn"/>
				<input type="button" value="unformatted" onclick="parent.location='/test/exec/xml/all'" class="btn"/>
			</div>
			</td>
			</tr>
			<tr>
			<td>
			<table>
				<xsl:variable name="class">
					<xsl:choose>
						<xsl:when test="testFailException+testFailAssert &gt; 0">
							<xsl:text>xunit-exception</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>xunit-success</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<tr class="vis-title">
					<td>Date</td>
					<td>Total</td>
					<td>Run</td>
					<td>Success</td>
					<td>Exceptions</td>
					<td>Assert</td>
					<td>Exec Time</td>
					<td>Total Time</td>
				</tr>
				<tr class="{$class}">
					<td>
						<xsl:value-of select="testDate"/>
					</td>
					<td align="center">
						<xsl:value-of select="testTotal" />
					</td>
					<td align="center">
						<xsl:value-of select="testRun" />
					</td>
					<td align="center">
						<xsl:value-of select="testSuccess" />
					</td>
					<td align="center">
						<xsl:value-of select="testFailException" />
					</td>
					<td align="center">
						<xsl:value-of select="testFailAssert" />
					</td>
					<td align="center">
						<xsl:value-of select="testExecutionTime" />
					</td>
					<td align="center">
						<xsl:value-of select="testTotalTime" />
					</td>
				</tr>
			</table>
			</td>
			</tr>
			</table>
		</div>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="test">
		<tr>
			<xsl:attribute name="class">
					<xsl:choose>
					    <xsl:when test="results/testFailException+results/testFailAssert &gt; 0">
							<xsl:text>xunit-exception</xsl:text>
					    </xsl:when>
					    <xsl:when test="position() mod 2 = 0">
					    <xsl:text>highrow</xsl:text>
				    </xsl:when>
				    <xsl:otherwise>
					    <xsl:text>highrow</xsl:text>
				    </xsl:otherwise>
					</xsl:choose>
				   </xsl:attribute>

			<td>
				<xsl:value-of select="id" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testTotal" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testRun" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testSuccess" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testFailException" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testFailAssert" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testExecutionTime" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testTotalTime" />
			</td>
			<td>
				<input type="button" value="exec" onclick="parent.location='/test/exec/html/{id}'" class="btn"/>
			</td>
			<td>
				<input type="button" value="unformatted" onclick="parent.location='/test/exec/xml/{id}'" class="btn"/>
			</td>
		</tr>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="text()" />

</xsl:stylesheet>
