<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml"/>
	<xsl:param name="test"/>
	
	<xsl:template match="/testlist">
		<div >
			<table>
			<tr>
			<td>
			<div>
				<input type="button" value="exec all" onclick="parent.location='/test/exec/html/{$test/test/id}'" class="btn"/>
				<input type="button" value="view xml testlist" onclick="parent.location='/test/view/xml/{$test/test/id}'" class="btn"/>
			</div>
			</td>
			</tr>
			<tr>
			<td>
			<table class="data-table">
				<tr class="vis-title">
				<td></td>
				<td>Test</td>
				<td/>
				</tr>
				<xsl:for-each select="test | notest">
					<tr>
						 <xsl:attribute name="class">
							<xsl:choose>
								<xsl:when test="name()='notest'">
									<xsl:text>xunit-notest</xsl:text>
								</xsl:when>
							    <xsl:when test="position() mod 2 = 0">
								    <xsl:text>highrow</xsl:text>
							    </xsl:when>
							    <xsl:otherwise>
								    <xsl:text>highrow</xsl:text>
							    </xsl:otherwise>   
							</xsl:choose> 
					    </xsl:attribute>
					    <td style="text-align:right;"><xsl:value-of select="position()"/></td>
						<td>
						<xsl:choose>
							<xsl:when test="@name">
								<xsl:value-of select="@name"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="request/identifier"/>
							</xsl:otherwise>
						</xsl:choose>
						</td>
						<td>
						<xsl:choose>
						<xsl:when test="name()='test'">
							<xsl:variable name="pos" select="1+count(preceding-sibling::test)"/>
							<input type="button" value="exec" onclick="parent.location='/test/exec/html/{$test/test/id}?index={$pos}'" class="btn"/>
						</xsl:when>
						<xsl:otherwise>notest</xsl:otherwise>
						</xsl:choose>
						</td>
					</tr>
					<xsl:choose>
					    <xsl:when test="starts-with(@testStatus,'assertionFailure')">
							<xsl:for-each select="assert/*[@assertStatus='false']">
								<tr>
									<td/><td><b>false</b></td><td colspan="3"><xsl:value-of select="name()"/> : <xsl:value-of select="."/> </td>
								</tr>
							</xsl:for-each>	
					    </xsl:when>
					  </xsl:choose>
				</xsl:for-each>
			</table>
			</td>
			</tr>
			</table>
		</div>
    </xsl:template>
	
	<xsl:template match="text()"/>
	
</xsl:stylesheet>
